import request from '@/utils/request'

// 查询质量留痕列表
export function listSspMarks(query) {
  return request({
    url: '/trouble/sspMarks/list',
    method: 'get',
    params: query
  })
}

// 查询质量留痕详细
export function getSspMarks(id) {
  return request({
    url: '/trouble/sspMarks/' + id,
    method: 'get'
  })
}

// 新增质量留痕
export function addSspMarks(data) {
  return request({
    url: '/trouble/sspMarks',
    method: 'post',
    data: data
  })
}

// 修改质量留痕
export function updateSspMarks(data) {
  return request({
    url: '/trouble/sspMarks',
    method: 'put',
    data: data
  })
}

// 删除质量留痕
export function delSspMarks(id) {
  return request({
    url: '/trouble/sspMarks/' + id,
    method: 'delete'
  })
}
